From 84f8cf973862311b293d540acc1bc3e74fb8ed15 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 02 2020 05:58:35 +0000
Subject: [PATCH 828/2232] Unindent target dir cargo logic


---

diff --git a/gen/build/src/cargo.rs b/gen/build/src/cargo.rs
index b67c21b..35b6606 100644
--- a/gen/build/src/cargo.rs
+++ b/gen/build/src/cargo.rs
@@ -4,28 +4,29 @@ use std::process::Command;
 use std::str;
 
 pub(crate) fn target_dir(out_dir: &Path) -> TargetDir {
-    (|| {
-        let cargo = option_env!("CARGO").unwrap_or("cargo");
-        let output = Command::new(cargo)
-            .current_dir(out_dir)
-            .arg("metadata")
-            .arg("--no-deps")
-            .arg("--format-version=1")
-            .output()
-            .ok()?;
+    try_target_dir(out_dir).map_or(TargetDir::Unknown, TargetDir::Path)
+}
+
+fn try_target_dir(out_dir: &Path) -> Option<PathBuf> {
+    let cargo = option_env!("CARGO").unwrap_or("cargo");
+    let output = Command::new(cargo)
+        .current_dir(out_dir)
+        .arg("metadata")
+        .arg("--no-deps")
+        .arg("--format-version=1")
+        .output()
+        .ok()?;
 
-        // Cargo only outputs utf8 encoded JSON.
-        let mut metadata = str::from_utf8(&output.stdout).ok()?;
+    // Cargo only outputs utf8 encoded JSON.
+    let mut metadata = str::from_utf8(&output.stdout).ok()?;
 
-        let key_pattern = "\"target_directory\":";
-        let key_index = metadata.rfind(key_pattern)?;
-        metadata = &metadata[key_index + key_pattern.len()..];
-        let open_quote_index = metadata.find('"')?;
-        metadata = &metadata[open_quote_index + 1..];
-        let close_quote_index = metadata.find('"')?;
-        let string = &metadata[..close_quote_index];
-        let target_directory = string.replace("\\\\", "\\");
-        Some(TargetDir::Path(PathBuf::from(target_directory)))
-    })()
-    .unwrap_or(TargetDir::Unknown)
+    let key_pattern = "\"target_directory\":";
+    let key_index = metadata.rfind(key_pattern)?;
+    metadata = &metadata[key_index + key_pattern.len()..];
+    let open_quote_index = metadata.find('"')?;
+    metadata = &metadata[open_quote_index + 1..];
+    let close_quote_index = metadata.find('"')?;
+    let string = &metadata[..close_quote_index];
+    let target_directory = string.replace("\\\\", "\\");
+    Some(PathBuf::from(target_directory))
 }

